Main Stories
Slash Boxes

Slash Open Source Project

Slashcode Log In

Log In

[ Create a new account ]

Article Poll

Poll I found this article to be
Very Helpful
Helpful
Not Helpful
Not Very Helpful
[ Results | Polls ]
Comments:0 | Votes:0

Slash 1.9 to 2.2 - compilation errors

posted by Krow on 11:10 AM November 21st, 2001   Printer-friendly   Email story
step.ee writes "when running slash1toslash2.2 i get this :
"Global symbol "%vars" requires explicit package name at slash1toslash2.2 line 357.
Execution of slash1toslash2.2 aborted due to compilation errors.?

this is the 357 in slash1toslash2.2 :
$data->{tid} ||= $vars{defaulttopic};

and can someone explain this:
"You may need to modify the slashdotrc.pl file?s dbhost, dbuser, and dbpass variables to make sure the database can be accessed properly. Also, make sure...?
database in old slash box (1.) or the new (2.2) one?

and .."Run the program, using the proper value for virtual_user "... ?
the same one who i used to install slash 2.2?"
This discussion has been archived. No new comments can be posted.
The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login
Loading... please wait.
  • by Anonymous Coward
    line 357 mus be $data->{tid} ||= $vars->{defaulttopic}; thanx! to Cr who sent me the fix via e-mail
  • by Anonymous Coward
    You have found yet ANOTHER slash bug. Experts beleive there is approx. 10,000 bugs in Slash.